KDE 4.2 PyKDE API Reference

- KDE's Python API

# MediaNode Class Reference

`from PyKDE4.phonon import *`

Subclasses: Phonon.AbstractVideoOutput
Namespace: Phonon

## Detailed Description

## Methods

| __init__ (self, MediaNodePrivate dd)
| __init__ (self, Phonon.MediaNode other)
[Phonon.Path] | inputPaths (self)
bool | isValid (self)
[Phonon.Path] | outputPaths (self)

## Method Documentation

__init__ | ( | self, |
|  | MediaNodePrivate | dd
| ) |  |  |

__init__ | ( | self, |
|  | Phonon.MediaNode | other
| ) |  |  |

[Phonon.Path] inputPaths | ( |  | self ) |

bool isValid | ( |  | self ) |

Tells whether the backend provides an implementation of this class.

Returns:
  true if backend provides an implementation

Returns:
  false if the object is not implemented by the backend

[Phonon.Path] outputPaths | ( |  | self ) |